Debian Bug report logs - #393923
O: gs-afpl -- The AFPL Ghostscript PostScript interpreter

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Masayuki Hatta <mhatta@grad.e.u-tokyo.ac.jp>

Date: Wed, 18 Oct 2006 15:33:02 UTC

Severity: normal

Done: Thomas Huriaux <thomas.huriaux@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#393923; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Masayuki Hatta <mhatta@grad.e.u-tokyo.ac.jp>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Masayuki Hatta <mhatta@grad.e.u-tokyo.ac.jp>
To: submit@bugs.debian.org
Subject: O: gs-afpl -- The AFPL Ghostscript PostScript interpreter
Date: Wed, 18 Oct 2006 23:17:16 +0900
Package: wnpp
Severity: normal

gs-afpl is basically superseded by gs-gpl (see
http://advogato.org/person/raph/diary.html?start=411), so I hereby
orphan this package.

Package: gs-afpl
Version: 8.53-1
Section: non-free/text
Priority: optional
Architecture: i386
Depends: libc6 (>= 2.3.6-6), libice6 (>= 1:1.0.0), libjasper-1.701-1 (>= 1.701.0), libjpeg62, libpaper1, libpng12-0 (>= 1.2.8rel), libsm6, libx11-6, libxext6, libxt6, zlib1g (>= 1:1.2.1), gs-common (>= 0.3.9)
Recommends: gsfonts (>= 6.0-1), psfontmgr
Conflicts: gs (<< 8.01), gs-aladdin (<< 8.14), gs-cjk-resource (<< 1.20010910-1), gs-pdfencrypt (<< 7.00)
Replaces: gs (<< 8.01), gs-aladdin (<< 8.14), gs-pdfencrypt (<< 7.00)
Provides: gs, gs-aladdin, gs-pdfencrypt, postscript-viewer
Installed-Size: 12444
Maintainer: Debian QA Group <packages@qa.debian.org>
Description: The AFPL Ghostscript PostScript interpreter
 This version is released under AFPL, not GNU GPL.  See
 /usr/share/doc/gs-afpl/copyright for detail.
 .
 Ghostscript is used for PostScript preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript
 documents in an X11 environment.
 .
 Furthermore, it can render PostScript files as graphics to be printed
 on non-PostScript printers. Supported printers include common
 dot-matrix, inkjet and laser models.
 .
 Package gsfonts contains a set of standard fonts for Ghostscript.
 .
 The Ghostscript World Wide Web home page is at http://www.ghostscript.com/



Message sent on to Masayuki Hatta <mhatta@grad.e.u-tokyo.ac.jp>:
Bug#393923. Full text and rfc822 format available.

Message #8 received at 393923-submitter@bugs.debian.org (full text, mbox):

From: Thomas Viehmann <tv@beamnet.de>
To: 393923-submitter@bugs.debian.org
Subject: Shouldn't gs-afpl be removed instead of orphaned?
Date: Fri, 20 Oct 2006 08:59:33 +0200
Hi,

shoudn't gs-apfl be removed if it's superseeded by free software as per
your statement in the bug report?

Kind regards

T.
-- 
Thomas Viehmann, http://thomas.viehmann.net/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#393923; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mohammed Adnène Trojette <adn@diwi.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #13 received at 393923@bugs.debian.org (full text, mbox):

From: Mohammed Adnène Trojette <adn@diwi.org>
To: Thomas Viehmann <tv@beamnet.de>
Cc: debian-qa@lists.debian.org, 393923@bugs.debian.org
Subject: Re: Shouldn't gs-afpl be removed instead of orphaned?
Date: Sun, 19 Nov 2006 01:13:05 +0100
On Fri, Oct 20, 2006, Thomas Viehmann wrote:
> Hi,
> 
> shoudn't gs-apfl be removed if it's superseeded by free software as per
> your statement in the bug report?

I agree with you, even if there are many users of gs-apfl.

This package has many bugs and there are better alternatives in Debian.

Comments?

-- 
adn
Mohammed Adnène Trojette



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#393923; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #18 received at 393923@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Thomas Viehmann <tv@beamnet.de>, debian-qa@lists.debian.org, 393923@bugs.debian.org
Subject: Re: Shouldn't gs-afpl be removed instead of orphaned?
Date: Sun, 19 Nov 2006 18:12:09 -0200
On Sun, 19 Nov 2006, Mohammed Adnène Trojette wrote:
> > shoudn't gs-apfl be removed if it's superseeded by free software as per
> > your statement in the bug report?
> 
> I agree with you, even if there are many users of gs-apfl.
> 
> This package has many bugs and there are better alternatives in Debian.

Transition it to gs-gpl, as per the new ghostscript scenario.  I.e. provide
an empty transition package.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#393923; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #23 received at 393923@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Masayuki Hatta <mhatta@grad.e.u-tokyo.ac.jp>, 393923@bugs.debian.org
Subject: Re: Bug#393923: O: gs-afpl -- The AFPL Ghostscript PostScript interpreter
Date: Wed, 31 Oct 2007 08:55:01 +0100
* Masayuki Hatta <mhatta@grad.e.u-tokyo.ac.jp> [2006-10-18 23:17]:
> gs-afpl is basically superseded by gs-gpl (see

It seems the gs-afpl source package no longer exists in unstable.  Can
this bug be closed now?
-- 
Martin Michlmayr
http://www.cyrius.com/




Reply sent to Thomas Huriaux <thomas.huriaux@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Masayuki Hatta <mhatta@grad.e.u-tokyo.ac.jp>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 393923-close@bugs.debian.org (full text, mbox):

From: Thomas Huriaux <thomas.huriaux@gmail.com>
To: 393923-close@bugs.debian.org
Subject: package removed
Date: Sun, 18 Nov 2007 13:13:03 +0100
gs-afpl was removed from the archive.

-- 
Thomas Huriaux




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 17 Dec 2007 07:32:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 15:43:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.